Subject: Re: [PATCH v3 3/3] builtin/commit-graph.c: support '--input=none'

From: Taylor Blau <[email-masked]>
Date: Thu, 13 Feb 2020 09:56:54 -0800

On Thu, Feb 13, 2020 at 01:31:29PM +0100, SZEDER Gábor wrote:
> On Tue, Feb 11, 2020 at 09:47:57PM -0800, Taylor Blau wrote:
> > In the previous commit, we introduced '--split=<no-merge|merge-all>',
> > and alluded to the fact that '--split=merge-all' would be useful for
> > callers who wish to always trigger a merge of an incremental chain.
> >
> > There is a problem with the above approach, which is that there is no
> > way to specify to the commit-graph builtin that a caller only wants to
> > include commits already in the graph.
>
> I'd like clarification on a detail here.  Is it only about not adding
> any new commits, or about keeping all existing commits as well?  IOW,
> do you want to:
>
>   - include only commits already existing in the commit-graph, without
>     adding any new commits, but remove any commits that do not exist
>     in the object database anymore.

This one, since the commit-graph machinery will drop any commits (no
matter what input/source/mode you specify) that no longer exist in the
object store.

> or:
>
>   - include _all_ commits already existing in the commit-graph, even
>     those that don't exist anymore in the object database, without
>     adding any new commits.

Thanks,
Taylor